Get the database name

- « pg_copy_to

- pg_delete »

- PHP Manual
- PostgreSQL Functions
- Get the database name

# pg_dbname

(PHP 4, PHP 5, PHP 7, PHP 8)

pg_dbname — Get the database name

### Description

pg_dbname(?PgSql\Connection `$connection` = `null`): string

pg_dbname() returns the name of the database that the given PostgreSQL `connection` instance.

### Parameters

`connection`

  An PgSql\Connection instance. When `connection` is `null`, the default connection is used. The default connection is the last connection made by pg_connect() or pg_pconnect().

  Warning

  As of PHP 8.1.0, using the default connection is deprecated.

### Return Values

A string containing the name of the database the `connection` is to.

### Changelog

Version | Description
--- | ---
8.1.0 | The `connection` parameter expects an PgSql\Connection instance now; previously, a resource was expected.
8.0.0 | `connection` is now nullable.

### Examples

Example #1 pg_dbname() example

    <?php
      error_reporting(E_ALL);

      pg_connect("host=localhost port=5432 dbname=mary");
      echo pg_dbname(); // mary
    ?>